// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.5
// Auth: Porrey
//
// !!! Um Rechen-/Renderzeit zu verkuerzen: "Lego_Logo" auf "0" setzen !!!

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

// Seitenverhltnis (x:y) = 4:3 !

#declare Camera_Position = < 0, 3,-7*2 >;
#declare Camera_lookat =   < 0, 1, 0 >;

camera { location Camera_Position
         direction z*2 up y right x*4/3
         look_at  Camera_lookat }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ <-8, 8,-8 > Weiss }
light_source	{ < 8, 8, 0 > Weiss*0.5 }

sky_sphere { S_Cloud2rp}

#declare Lego_Logo = 1;
#include "Lego.inc"   // normale und flache Steine 
#include "Lego_d.inc" // Dachsteine
#include "Lego_s.inc" // Sondersteine

plane { x, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { y,  0         pigment { checker Haut*.7, Haut*.8 scale 1 rotate y*45 } finish { phong 0 reflection 0.2 } }
plane { z, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }

plane { x,-20         pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { y, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { z,-20         pigment { Haut } finish { phong 0 reflection 0.0 } }

union {

object { Legof_6_2      translate < LegoBreite*1, LegoHoehef*1, LegoTiefe*1 > texture { Lego_Rot } }
object { Lego_Rad_1_x   translate < LegoBreite*1, LegoHoehef*2, LegoTiefe*1 > texture { Lego_Schwarz } }
object { Lego_Rad_1_x   translate < LegoBreite*6, LegoHoehef*2, LegoTiefe*1 > texture { Lego_Schwarz } }

object { Legof_1_4      translate < LegoBreite*0, LegoHoehef*2, LegoTiefe*0 > texture { Lego_Gelb } }                 
object { Legof_2_4      translate < LegoBreite*3, LegoHoehef*2, LegoTiefe*0 > texture { Lego_Gelb } }
object { Legof_1_4      translate < LegoBreite*5, LegoHoehef*2, LegoTiefe*0 > texture { Lego_Gelb } }

object { Legof_8_2      translate < LegoBreite*0, LegoHoehef*3, LegoTiefe*1 > texture { Lego_Rot } }
object { Legof_1_4      translate < LegoBreite*8, LegoHoehef*3, LegoTiefe*0 > texture { Lego_Gelb } }
object { Legod_3_1_xneg translate < LegoBreite*3, LegoHoehef*3, LegoTiefe*3 > texture { Lego_Rot } }
object { Legod_3_1_xneg translate < LegoBreite*3, LegoHoehef*3, LegoTiefe*0 > texture { Lego_Rot } }

object { Legof_3_2      translate < LegoBreite*1, LegoHoehef*4, LegoTiefe*1 > texture { Lego_Rot } }
object { Lego_L_xneg    translate < LegoBreite*4, LegoHoehef*4, LegoTiefe*1 > texture { Lego_Fenster_Blau } }
object { Legof_4_2      translate < LegoBreite*5, LegoHoehef*4, LegoTiefe*1 > texture { Lego_Rot } }

object { Legod_3_2_xpos translate < LegoBreite*5, LegoHoehef*5, LegoTiefe*1 > texture { Lego_Rot } }
object { Legof_1_4      translate < LegoBreite*8, LegoHoehef*5, LegoTiefe*0 > texture { Lego_Rot } }

translate <-LegoBreite*4.5, LegoHoehef*0, LegoTiefe*-2 >

//rotate y*clock*-10 }
rotate y*-45 }
