// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.5
// Auth: Porrey
//
// !!! Um Rechen-/Renderzeit zu verkuerzen: "Lego_Logo" auf "0" setzen !!!

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

// Seitenverhltnis (x:y) = 4:3 !

#declare Direction = 2;
#declare Camera_Position = < 0, 3,-5*Direction >;
#declare Camera_lookat   = < 0, 2, 0 >;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ <-8, 8,-8 > Weiss }
light_source	{ < 8, 8, 0 > Weiss*0.5 }

sky_sphere { S_Cloud2rp}

#declare Lego_Logo = 1;

#include "Lego.inc"   // normale und flache Steine 
#include "Lego_d.inc" // Dachsteine
#include "Lego_s.inc" // Sondersteine

plane { x, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { y,  0         pigment { checker Haut*.7, Haut*.8 scale 1 rotate y*45 } finish { phong 0 reflection 0.3 } }
plane { z, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }

plane { x,-20         pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { y, 20 inverse pigment { Haut } finish { phong 0 reflection 0.0 } }
plane { z,-20         pigment { Haut } finish { phong 0 reflection 0.0 } }

#declare Lego_Farbe_Beine         = texture { Lego_Rot }
#declare Lego_Farbe_Huefte        = texture { Lego_Schwarz }
#declare Lego_Farbe_Oberkoerper   = texture { Lego_Gruen }
#declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
#declare Lego_Farbe_Muetze        = texture { Lego_Rot }
#declare Lego_Sitzen              = 0;
#declare Lego_Kopf_Drehung        = -35;//-35
#declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
#declare Lego_Oberkoerper_Drehung = 0;
#declare Lego_Bein_rts_Drehung    = 0;
#declare Lego_Bein_lks_Drehung    = 0;
#declare Lego_Arm_rts_Drehung     = 45; // 35
#declare Lego_Arm_lks_Drehung     = 15; // 35
#include "Lego_f.inc" // Figur
object { Lego_Figur_zneg translate < LegoBreite*-3, LegoHoehef*1, LegoTiefe*0 > rotate y*0 }

#declare Lego_Farbe_Beine         = texture { Lego_Gruen }
#declare Lego_Farbe_Huefte        = texture { Lego_Gruen }
#declare Lego_Farbe_Oberkoerper   = texture { Lego_Weiss }
#declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
#declare Lego_Farbe_Muetze        = texture { Lego_Gruen }
#declare Lego_Kopf_Drehung        = 35;//35
#declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
#declare Lego_Oberkoerper_Drehung = 0;
#declare Lego_Bein_rts_Drehung    = 0;
#declare Lego_Bein_lks_Drehung    = 0;
#declare Lego_Arm_rts_Drehung     = 35; // 35
#declare Lego_Arm_lks_Drehung     = 65; // 35
#declare Lego_Sitzen              = 1;
#include "Lego_f.inc" // Figur
object { Lego_Figur_zneg translate < LegoBreite* 1, LegoHoehef*1, LegoTiefe*0 > rotate y*0 }

object { Legof_10_2  texture { Lego_Blau } translate < LegoBreite*-5, LegoHoehe*0, LegoTiefe*0 > }