// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.5
// Auth: Porrey
//
// !!! Um Rechen-/Renderzeit zu verkuerzen: "Lego_Logo" auf "0" setzen !!!

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Cam = 1; // 1: normal_cam | 2: von_oben | 3: von_vorn

#if(Cam = 1) // normal_cam
#declare Direction = 2;
#declare Camera_Position = <-50, 5,-10*Direction >;
#declare Camera_lookat   = <  0, 5, 0 >;
#declare Camera_translate= < -7, 0, 0 >;
#end

#if(Cam = 2) // von_oben
#declare Direction = 2;
#declare Camera_Position = < 3,90, 0*Direction >;
#declare Camera_lookat   = < 3, 0, 0 >;
#declare Camera_translate= < 0, 0, 0 >;
#end

#if(Cam = 3) // von_vorn
#declare Direction = 2;
#declare Camera_Position = < 0, 3,-30*Direction >;
#declare Camera_lookat   = < 0, 5, 0 >;
#declare Camera_translate= < 0, 0, 0 >;
#end

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat
         translate Camera_translate
       }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ < -1000, 1000,-1000 > Weiss }
light_source	{ <  1000, 1000,-1000 > Weiss*0.5 }

background { color rgb < .6, .7, .8 > }  

#declare Lego_Logo =       1;

#declare Rotate_Hals =     -15;            // -40 (nach links) ... 40 (nach rechts)
#declare Rotate_Hals1 =    Rotate_Hals;    // vom Kopf aus erster Winkelpunkt
#declare Rotate_Hals2 =    Rotate_Hals;    // vom Kopf aus zweiter Winkelpunkt
#declare Rotate_Schwanz =   15;            // -40 (nach rechts) ... 40 (nach links)
#declare Rotate_Schwanz1 = Rotate_Schwanz; // vom Koerper aus erster Winkelpunkt
#declare Rotate_Schwanz2 = Rotate_Schwanz; // vom Koerper aus zweiter Winkelpunkt

#include "Lego.inc"   // normale und flache Steine

#include "Lego_S02.inc"
object { S02 translate < LegoBreite*0, (LegoHoehef*0)+(LegoHoehe*0), LegoTiefe*0 > }   

#local Lego_Var_X = 35; #local Lego_Var_Z = 35; #include "Lego_v.inc"
object { Legof_Var texture { pigment { color rgb < .6, .7, .8 > } finish { LegoFinish } }
translate < LegoBreite*Lego_Var_X*-.5, (LegoHoehef*-1)+(LegoHoehe*0), LegoTiefe*Lego_Var_Z*-.5 > }

plane { y, 0 texture { pigment { color rgb < .6, .7, .8 > } finish { LegoFinish } } }

fog {
  fog_type 1
  distance 300
  color rgb < .6, .7, .8 > 
  }