// benoetigt "Lego.inc"
// 
// enthaelt:
//
// (Lego_x_z = Zahl der Noppen in x und z Ausrichtung)
//
// 1 = klein, 2 = gross-schmal, 3 = gross-breit, x = Fahrtrichtung
// Lego_Rad_1_x | Lego_Rad_1_z // translate y*LegoHoehef*2 (Reifen bei y=0)
// Lego_Rad_2_x | Lego_Rad_2_z // translate y*LegoHoehe*1  (Reifen bei y=0) 
// Lego_Rad_3_x | Lego_Rad_3_z // translate y*LegoHoehe*1  (Reifen bei y=0) 
//
// xpos = Richtung der Senkrechten
// Lego_L_zneg | Lego_L_zpos | Lego_L_xneg | Lego_L_xpos // immer 2x1 Noppen
//

//=========================== Rad ======================================//
#declare Lego_Reifen_1 =
union {
  union {
    #local Zahl1 = 16;
    #local Winkel1 = 360/Zahl1;
    #local Count1 = 0; #while (Count1 < Zahl1)
      box { <-.07, 0, 0 >, < 0.07, 0.14, 0.3 > translate < 0.0,-0.7, 0.0 > rotate z*Winkel1*Count1 }
      box { <-.07, 0, 0 >, < 0.07, 0.14, 0.3 > translate < 0.0,-0.7, 0.3 > rotate z*Winkel1*Count1 rotate z*Winkel1*.5 }
    #local Count1 = Count1+1; #end 

    difference {
      cylinder { z*0, z*0.6, 0.57 }
      cylinder { z*-0.01, z*0.61, 0.4 }
    }
  texture { Lego_Textur_Reifen_1 } }

  union {
    difference {
      cone { z*0, 0.40, z*0.1, 0.30 }
      cone {-z*0.0001, 0.35, z*0.1001, 0.25 }
    }
    cylinder { z*0, z*0.1, 0.15 }
  
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > }
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > rotate z*90 }
  cylinder { z*0.2, z*0.6, 0.4 }
  texture { Lego_Textur_Felge_1 } }
}

#declare Lego_Reifen_2 =
union {
  union {
    #local Zahl1 = 18;
    #local Winkel1 = 360/Zahl1;
    #local Count1 = 0; #while (Count1 < Zahl1)
      box { <-.09, 0, 0 >, < 0.09, 0.15, 0.4 > translate < 0.0,-1,-0.2 > rotate z*Winkel1*Count1 }
      box { <-.09, 0, 0 >, < 0.09, 0.15, 0.4 > translate < 0.0,-1, 0.2 > rotate z*Winkel1*Count1 rotate z*Winkel1*.5 }
    #local Count1 = Count1+1; #end 

    difference {
      cylinder { z*-0.2,  z*0.6,  0.86 }
      cylinder { z*-0.21, z*0.61, 0.4 }
      cone { z*-0.2001, 0.55, z*0.0001, 0.4 }
    }
  texture { Lego_Textur_Reifen_2 } }

  union {
    difference {
      cone { z*-0.0,    0.40, z*0.1, 0.30 }
      cone { z*-0.0001, 0.35, z*0.1001, 0.25 }
    }
    cylinder { z*0, z*0.1, 0.15 }
  
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > }
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > rotate z*90 }
  cylinder { z*0.2, z*0.6, 0.4 }
  texture { Lego_Textur_Felge_2 } }
}

#declare Lego_Reifen_3 =
union {
  union {
    #local Zahl1 = 18; // 18
    #local Winkel1 = 360/Zahl1;
    #local Count1 = 0; #while (Count1 < Zahl1)
      difference {
        box { <-.09,   0,   0 >, < 0.09, 0.15, 0.6  > }
        box { <-.10,-0.1,-0.1 >, < 0.10, 0.25, 0.06 > rotate x*-25 }
      translate < 0.0,-1,-0.6 > rotate z*Winkel1*Count1 }
      
      difference {
        box { <-.09, 0, 0 >, < 0.09, 0.15, 0.6 > }
        box { <-.10,-0.1,-0.06 >, < 0.10, 0.15, 0.1 > rotate x*25 translate z*0.6 }
      translate < 0.0,-1, 0.0 > rotate z*Winkel1*Count1 rotate z*Winkel1*.5 }
    
    #local Count1 = Count1+1; #end 

    difference {
      cylinder { z*-0.6,  z*0.6,  0.86 }
      cylinder { z*-0.61, z*0.61, 0.55 }
    }
  texture { Lego_Textur_Reifen_3 } }
/*
  union {
    difference {
      cone { z*-0.0,    0.40, z*0.1, 0.30 }
      cone { z*-0.0001, 0.35, z*0.1001, 0.25 }
    }
    cylinder { z*0, z*0.1, 0.15 }
  
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > }
  box { <-0.05,-0.4, 0.0 >, < 0.05, 0.4, 0.1 > rotate z*90 }
  cylinder { z*0.2, z*0.6, 0.4 }
  texture { Lego_Textur_Felge_3 } }
*/
}
#declare Lego_Rad_1_x =
union {
  union {
    object { Lego_Reifen_1 rotate z*45 }
    object { Lego_Reifen_1 rotate z*45 rotate y*180 translate z*3 }
    cylinder { z*0.3, z*0.8, 0.15 }
    cylinder { z*2.2, z*2.7, 0.15 }
  translate < LegoBreite*1, 0.7, 0.1 > }
  object { Legof_2_2 translate < LegoBreite*0, LegoHoehef*2, LegoTiefe*1 > }
translate < LegoBreite*0,-LegoHoehef*2,-LegoTiefe*1 > }

#declare Lego_Rad_1_z =
  object { Lego_Rad_1_x rotate y*-90 translate < LegoBreite*2, LegoHoehe*0, LegoTiefe*0 > }

#declare Lego_Rad_2_x =
union {
  union {
    object { Lego_Reifen_2 rotate z*45 }
    object { Lego_Reifen_2 rotate z*45 rotate y*180 translate z*3 }
    cylinder { z*0.3, z*0.8, 0.15 }
    cylinder { z*2.2, z*2.7, 0.15 }
  translate < LegoBreite*1, 0.7, 0.1 > }
  object { Legof_2_2 translate < LegoBreite*0, LegoHoehef*2, LegoTiefe*1 > }
translate < LegoBreite*0,-LegoHoehef*2,-LegoTiefe*1 > }

#declare Lego_Rad_2_z =
  object { Lego_Rad_2_x rotate y*-90 translate < LegoBreite*2, LegoHoehe*0, LegoTiefe*0 > }

#declare Lego_Rad_3_x =
union {
  union {
    object { Lego_Reifen_3 rotate z*45 }
    object { Lego_Reifen_3 rotate z*45 rotate y*180 translate z*3 }
    cylinder { z*0.3, z*0.8, 0.15 }
    cylinder { z*2.2, z*2.7, 0.15 } 
  translate < LegoBreite*1, 0.7, 0.1 > }
  object { Legof_2_2 translate < LegoBreite*0, LegoHoehef*2, LegoTiefe*1 > }
translate < LegoBreite*0,-LegoHoehef*2,-LegoTiefe*1 > }

#declare Lego_Rad_3_z =
  object { Lego_Rad_3_x rotate y*-90 translate < LegoBreite*2, LegoHoehe*0, LegoTiefe*0 > }
    
//=========================== weitere Sondersteine ======================================// 

#declare Lego_L_zneg =
union {
  #local X_ = 2;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1
  
  box { Abstand, < LegoBreite*X_, LegoHoehe*1, 0.15 > }
}
#declare Lego_L_zpos = 
union {
  #local X_ = 2;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1
  
  box { Abstand, < LegoBreite*X_, LegoHoehe*1, 0.15 > translate < 0, 0, (LegoTiefe*Z_)-0.15 > }
}
#declare Lego_L_xneg =
union {
  #local X_ = 1;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1
  
  box { Abstand, < 0.15, LegoHoehe*1, LegoTiefe*Z_ > }
}

#declare Lego_L_xpos =
union {
  #local X_ = 1;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1
  
  box { Abstand, < 0.15, LegoHoehe*1, LegoTiefe*Z_ > translate < (LegoBreite*X_)-0.15, 0, 0 > }
}