// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.5
// Auth: Porrey
//
// !!! Um Rechen-/Renderzeit zu verkuerzen: "Lego_Logo" auf "0" setzen !!!

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Cam = 1; // 1: normal_cam | 2: von_oben

#if(Cam = 1) // normal_cam
#declare Direction = 2;
#declare Camera_Position = < 0, 6,-5*Direction >;
#declare Camera_lookat   = < 0, 2, 0 >;
#end

#if(Cam = 2) // von_oben
#declare Direction = 2;
#declare Camera_Position = < 0, 50,0*Direction >;
#declare Camera_lookat   = < 0, 0, 0 >;
#end

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat}

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ < 20, 40, 20 > Weiss }
light_source	{ < 0, 30, -100*Direction > Weiss*0.5 }

#declare Lego_Logo = 1; // 0 | 1  die Letter auf den Noppen
#include "Lego.inc"     // normale und flache Steine 

background { color rgb 0.75 }

union { // fuer rotate y

#declare Lego_Farbe_Beine         = texture { Lego_Rot }
#declare Lego_Farbe_Huefte        = texture { Lego_Rot }
#declare Lego_Farbe_Oberkoerper   = texture { Lego_Gruen }
#declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
#declare Lego_Farbe_Muetze        = texture { Lego_Rot }
#declare Lego_Sitzen              = 0;
#declare Lego_Kopf_Drehung        = -45;
#declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
#declare Lego_Oberkoerper_Drehung = -5;
#declare Lego_Bein_rts_Drehung    = 0;
#declare Lego_Bein_lks_Drehung    = 0;
#declare Lego_Arm_rts_Drehung     =  5; // 35
#declare Lego_Arm_lks_Drehung     = 45; // 35
#include "Lego_f.inc" // Figur
object { Lego_Figur_zneg translate < LegoBreite*-1, LegoHoehef*1, LegoTiefe*4 > rotate y*0 }

#declare Lego_Farbe_Beine         = texture { Lego_Gruen }
#declare Lego_Farbe_Huefte        = texture { Lego_Gruen }
#declare Lego_Farbe_Oberkoerper   = texture { Lego_Weiss }
#declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
#declare Lego_Farbe_Muetze        = texture { Lego_Blau }
#declare Lego_Sitzen              = 0;
#declare Lego_Kopf_Drehung        = 0;
#declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
#declare Lego_Oberkoerper_Drehung = -5;
#declare Lego_Bein_rts_Drehung    = 0;
#declare Lego_Bein_lks_Drehung    = 0;
#declare Lego_Arm_rts_Drehung     = 45; // 35
#declare Lego_Arm_lks_Drehung     =  5; // 35
#include "Lego_f.inc" // Figur
object { Lego_Figur_zpos translate < LegoBreite*-1, LegoHoehef*1, LegoTiefe*-5 > rotate y*0 }

#declare Lego_Farbe_Beine         = texture { Lego_Gruen }
#declare Lego_Farbe_Huefte        = texture { Lego_Gruen }
#declare Lego_Farbe_Oberkoerper   = texture { Lego_Rot }
#declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
#declare Lego_Farbe_Muetze        = texture { Lego_Gruen }
#declare Lego_Kopf_Drehung        = 45;
#declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
#declare Lego_Oberkoerper_Drehung = -10;
#declare Lego_Bein_rts_Drehung    = 0;
#declare Lego_Bein_lks_Drehung    = 0;
#declare Lego_Arm_rts_Drehung     = 75; // 35
#declare Lego_Arm_lks_Drehung     = 45; // 35
#declare Lego_Sitzen              = 1;
#include "Lego_f.inc" // Figur
object { Lego_Figur_xneg translate < LegoBreite*3, LegoHoehef*4, LegoTiefe*-1 > rotate y*0 }


union { // Tisch

#local Lego_Var_X = 6; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#local Lego_Var_Z = 6; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#include "Lego_v.inc"
// object { Legof_Var_nn translate < -LegoBreite*(Lego_Var_X/2), LegoHoehef*6, -LegoTiefe*(Lego_Var_Z/2) > } // ohne Noppen
object { Legof_Var translate < -LegoBreite*(Lego_Var_X/2), LegoHoehef*6, -LegoTiefe*(Lego_Var_Z/2) > }

object { Legofr_1_1 translate < LegoBreite* 1, LegoHoehef*1, LegoTiefe*-2 > }
object { Legofr_1_1 translate < LegoBreite* 1, LegoHoehef*2, LegoTiefe*-2 > }
object { Legor_1_1  translate < LegoBreite* 1, LegoHoehef*3, LegoTiefe*-2 > }

object { Legofr_1_1 translate < LegoBreite* 1, LegoHoehef*1, LegoTiefe* 1 > }
object { Legofr_1_1 translate < LegoBreite* 1, LegoHoehef*2, LegoTiefe* 1 > }
object { Legor_1_1  translate < LegoBreite* 1, LegoHoehef*3, LegoTiefe* 1 > }

object { Legofr_1_1 translate < LegoBreite*-2, LegoHoehef*1, LegoTiefe*-2 > }
object { Legofr_1_1 translate < LegoBreite*-2, LegoHoehef*2, LegoTiefe*-2 > }
object { Legor_1_1  translate < LegoBreite*-2, LegoHoehef*3, LegoTiefe*-2 > }

object { Legofr_1_1 translate < LegoBreite*-2, LegoHoehef*1, LegoTiefe* 1 > }
object { Legofr_1_1 translate < LegoBreite*-2, LegoHoehef*2, LegoTiefe* 1 > }
object { Legor_1_1  translate < LegoBreite*-2, LegoHoehef*3, LegoTiefe* 1 > }

texture { Lego_Blau }
} // Tisch

// Stuhl
object { Lego_2_2  translate < LegoBreite*3, LegoHoehef*1, LegoTiefe*-1 > texture { Lego_Grau } }


#local Lego_Var_X = 30; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#local Lego_Var_Z = 30; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#include "Lego_v.inc" // Boden
object { Legof_Var texture { Lego_Grau } translate < -LegoBreite*(Lego_Var_X/2), LegoHoehe*0, -LegoTiefe*(Lego_Var_Z/2) > }

#local Lego_Var_X = 30; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#local Lego_Var_Z = 2; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#include "Lego_v.inc"
object { Lego_Var texture { Lego_Grau } translate < -LegoBreite*(Lego_Var_X/2), LegoHoehef*1, LegoTiefe*13 > } // Wand zpos
object { Lego_Var texture { Lego_Grau } translate < -LegoBreite*(Lego_Var_X/2), LegoHoehef*1,-LegoTiefe*15 > } // Wand zneg

#local Lego_Var_X = 2; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#local Lego_Var_Z = 26; // moeglichst gerade Zahlen fuer x-z -Verschiebung
#include "Lego_v.inc"
object { Lego_Var texture { Lego_Grau } translate <  LegoBreite*13, LegoHoehef*1,-LegoTiefe*(Lego_Var_Z/2) > } // Wand xpos
object { Lego_Var texture { Lego_Grau } translate <  LegoBreite*-15, LegoHoehef*1,-LegoTiefe*(Lego_Var_Z/2) > } // Wand xneg



#declare Tex = texture { pigment { color rgb <0.90,0.85,0.80> } finish { reflection .05 } }
#include "statue_ws_venus.inc"
#include "statue_ws_diskus.inc"

union {
        object { statue_ws_venus scale 2.5 translate y*.1 }
        box { <-0.4,-0.0,-0.4 >, < 0.4, 0.1, 0.4 > texture { Tex } translate z*0 }
translate y*LegoHoehef*7 translate y*0.25 /*Noppenhoehe*/ translate x*.5 translate z*-.5}

union {
        object { statue_ws_diskus rotate y*90 scale 3 translate y*.1 } 
        box { <-0.4,-0.0,-0.4 >, < 0.4, 0.1, 0.4 > texture { Tex } translate z*0 }
translate y*LegoHoehef*7 translate y*0.25 /*Noppenhoehe*/ translate x*-.5 } 


#include "statue_besucher.inc"
object { statue_besucher rotate y*-75 rotate z*-15 scale 2
translate y*LegoHoehef*7 translate y*0.25 /*Noppenhoehe*/
translate <1.8,0,0.5>}               

#include "statue_besucherin.inc"
object { statue_besucherin rotate y*90 rotate z*0 scale 2
translate y*LegoHoehef*7 //translate y*0.25 /*Noppenhoehe*/
translate <.7,0,2.3>}

rotate y*145
}