// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.5
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Direction = 1; // 1, 2, ...
#declare Camera_Position = <-3.5, 0.6,-3.5*Direction >;
#declare Camera_lookat =   <-0.2, 0.87 0.0 >;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat }

// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

light_source	{ < -3.5, .5,16 > Weiss*.2 }
light_source	{ < -3.5, .5,13 > Weiss*.2 }
light_source	{ < -3.5, .5,10 > Weiss*.2 }
light_source	{ < -3.5, .5, 7 > Weiss*.2 }
light_source	{ < -3.5, .5, 4 > Weiss*.2 }
light_source	{ < -3.5, .5, 1 > Weiss*.2 }
light_source	{ < -3.5, .5,-2 > Weiss*.2 }
light_source	{ < -3.5, .5,-5 > Weiss*.2 }
light_source	{ < -3.5, .5,-8 > Weiss*.2 }

background { color rgb < .4, .7, 1 > }

#declare Tex = texture { pigment { color rgb <0.80,0.75,0.70> } finish { reflection .05 } }

#include "statue_ws_hercules.inc"
#include "statue_ws_zeus.inc"
#include "statue_ws_beate.inc"
#include "statue_ws_venus.inc"
#include "statue_ws_diskus.inc"
#include "statue_ws_thinker.inc"

object { statue_ws_hercules rotate y*180              scale 3 translate z*13 translate y*.2 }
object { statue_ws_zeus     rotate y*180              scale 3 translate z*10 translate y*.2 }
object { statue_ws_beate    rotate y*180 rotate y* 45 scale 3 translate z* 7 translate y*.2 }
object { statue_ws_venus    rotate y*180 rotate y* 45 scale 3 translate z* 4 translate y*.2 }
object { statue_ws_diskus   rotate y*180              scale 3 translate z* 1 translate y*.2 }
object { statue_ws_thinker  rotate y*180              scale 3 translate z*-2 translate y*.2 }

union {
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z*13 }
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z*10 }
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z* 7 }
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z* 4 }
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z* 1 }
box { <-0.75,-0.0,-0.5 >, < 0.75, 0.2, 0.5 > translate z*-2 }
texture { Tex }
}

#include "statue_besucher.inc"
object { statue_besucher    rotate y*180 rotate y*-90 scale 1.5 translate z* 3 translate x*-1.75 }
#include "statue_besucherin.inc"
object { statue_besucherin  rotate y*180 rotate y*-90 scale 1.5 translate z*-2 translate x*-1.75 }
            

union {
plane { y, 4.0 inverse }
plane { y, 0.0 }
plane { x, 2.0 inverse }
plane { x,-4.0 }

texture { pigment { color rgb <0.70,0.75,0.80> } finish { reflection 0.05 } }

}